#ifndef DEBUG_H
#define DEBUG_H

/*
  If the DEBUG compiler directive is defined, then we have the compiler compile the code within the
  DebugCode macro.  When it is not defined, then the code does not get compiled into the program.
*/

#ifdef DEBUG
#define DebugCode( code_fragment ) { code_fragment }
#else
#define DebugCode( code_fragment )
#endif

#endif
