#include "Encoder.h"

Encoder::Encoder() {
  // Do nothing
}

Encoder::Encoder(uint8_t pin) {
  encoderPin = pin;
  
  pinMode(encoderPin, INPUT);
  digitalWrite(encoderPin, HIGH);
}

void Encoder::isrUpdate() {
  count = ++count & 0x7fffffff;
}

void Encoder::reset() {
  cli();
  count = 0;
  sei();
}

unsigned long Encoder::getCount() {
  unsigned long cnt;
  
  cli();
  cnt = count;
  sei();
  
  return cnt;
}
