#if (ARDUINO >= 100)
#include <Arduino.h>
#else
#include <WProgram.h>
#endif

#ifndef ENCODER_H
#define ENCODER_H

class Encoder {
  private:
    uint8_t encoderPin;     // Pin D2/D3 for hardware interrupts
    volatile unsigned long count;
    Encoder();              // No default constructor
    
  public:
    Encoder(uint8_t pin);   // constructor
    void isrUpdate();
    void reset();
    unsigned long getCount();
};

#endif
