#include "Ping.h"

Ping::Ping(uint8_t pin) {
  sensorPin = pin;
}

void Ping::pulse() {
  // Tell the sensor to send a signal

  pinMode(sensorPin, OUTPUT);
  digitalWrite(sensorPin, LOW);
  delayMicroseconds(2);
  digitalWrite(sensorPin, HIGH);
  delayMicroseconds(5);
  digitalWrite(sensorPin, LOW);

  // Read the duration of the ping 

  pinMode(sensorPin, INPUT);
  duration = pulseIn(sensorPin, HIGH);
}

unsigned long Ping::getCentimeters() {
  return duration / 58;
}

unsigned long Ping::getInches() {
  return duration / 148;
}
